{
	"format_version": "1.16.0",
	"animation_controllers": {
		"controller.animation.smoke": {
			"states": {
				"default": {
					"transitions": [
						{
							"smoker": "query.is_moving"
						}
					],
					"on_entry": [											"/execute @s ~ ~ ~ particle minecraft:egg_destroy_emitter ~ ~ ~"
					]
				},
				"smoker": {
					"transitions": [
						{
							"default": "query.is_moving"
						}
					],
					"on_entry": [
						"/execute @s ~ ~ ~ particle minecraft:egg_destroy_emitter ~ ~ ~"
					]
				}
			}
		}
	}
}